Package org.kapott.hbci.passport.storage.format

# Class LegacyFormat

java.lang.Object
org.kapott.hbci.passport.storage.format.AbstractFormat
org.kapott.hbci.passport.storage.format.LegacyFormat

All Implemented Interfaces:
  `PassportFormat`

public class LegacyFormat extends AbstractFormat
Liest Dateien im alten HBCI4Java-Format.

## Constructor Summary

Constructors
Constructor
Description
`LegacyFormat()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getCipherAlg()`
Liefert den zu verwendenden Cipher-Algorithmus.
`PassportData`
`load(HBCIPassport passport, byte[] data)`
Liest die Passport-Datei.
`byte[]`
`save(HBCIPassport passport, PassportData data)`
Speichert die Passport-Daten-

### Methods inherited from class org.kapott.hbci.passport.storage.format.AbstractFormat

`getCipher, getPassword, supported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LegacyFormat

public LegacyFormat()

## Method Details

### load

public PassportData load(HBCIPassport passport, byte[] data) throws UnsupportedOperationException
Description copied from interface: `PassportFormat`
Liest die Passport-Datei.

Parameters:
  `passport` - der Passport, fuer den die Daten gelesen werden sollen.
  `data` - das Byte-Array mit dem Datei-Inhalt. Wir uebergeben hier keinen Stream, damit wir mehrere Formate mit den selben Daten durchprobieren koennen, ohne jedesmal den Stream neu oeffnen zu muessen (mark/reset unterstuetzen viele InputStream-Implementierungen nicht). Und da wir die Daten zur Deserialisierung ohnehin komplett lesen muessen, koennen wir sie auch gleich in ein Byte-Array lesen.
Returns:
  die gelesenen Daten des Passport.
Throws:
  `UnsupportedOperationException` - wenn die Implementierung dieses Dateiformat nicht unterstuetzt.
See Also:
  - `PassportFormat.load(org.kapott.hbci.passport.HBCIPassport, byte[])`

### save

public byte[] save(HBCIPassport passport, PassportData data) throws UnsupportedOperationException
Description copied from interface: `PassportFormat`
Speichert die Passport-Daten-

Parameters:
  `passport` - der Passport, fuer den die Daten gespeichert werden sollen.
  `data` - die zu speichernden Daten.
Returns:
  die gespeicherten Daten als Byte-Array.
Throws:
  `UnsupportedOperationException`
See Also:
  - `PassportFormat.save(org.kapott.hbci.passport.HBCIPassport, org.kapott.hbci.passport.storage.PassportData)`

### getCipherAlg

protected String getCipherAlg()
Description copied from class: `AbstractFormat`
Liefert den zu verwendenden Cipher-Algorithmus.

Specified by:
  `getCipherAlg` in class `AbstractFormat`
Returns:
  der zu verwendende Cipher-Algorithmus.
See Also:
  - `AbstractFormat.getCipherAlg()`